JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class DBT.DEV_BROADCAST_HANDLE

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.DBT.DEV_BROADCAST_HANDLE

Enclosing interface:
  DBT

    public static class DBT.DEV_BROADCAST_HANDLE

extends Structure

The Class DEV_BROADCAST_HANDLE.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`byte[]` `dbch_data` The dbch_data.
`int` `dbch_devicetype` The dbch_devicetype.
`Guid.GUID` `dbch_eventguid` The dbch_eventguid.
`WinNT.HANDLE` `dbch_handle` The dbch_handle.
`WinUser.HDEVNOTIFY` `dbch_hdevnotify` The dbch_hdevnotify.
`WinDef.LONG` `dbch_nameoffset` The dbch_nameoffset.
`int` `dbch_reserved` The dbch_reserved.
`int` `dbch_size` The dbch_size.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`DBT.DEV_BROADCAST_HANDLE()` Instantiates a new dev broadcast handle.
`DBT.DEV_BROADCAST_HANDLE(Pointer memory)` Instantiates a new dev broadcast handle.

Method Summary
`protected java.util.List` `getFieldOrder()` Return this Structure's field names in their proper order.

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### dbch_size

    public int dbch_size

  The dbch_size.

### dbch_devicetype

    public int dbch_devicetype

  The dbch_devicetype.

### dbch_reserved

    public int dbch_reserved

  The dbch_reserved.

### dbch_handle

    public WinNT.HANDLE dbch_handle

  The dbch_handle.

### dbch_hdevnotify

    public WinUser.HDEVNOTIFY dbch_hdevnotify

  The dbch_hdevnotify.

### dbch_eventguid

    public Guid.GUID dbch_eventguid

  The dbch_eventguid.

### dbch_nameoffset

    public WinDef.LONG dbch_nameoffset

  The dbch_nameoffset.

### dbch_data

    public byte[] dbch_data

  The dbch_data.

Constructor Detail

### DBT.DEV_BROADCAST_HANDLE

    public DBT.DEV_BROADCAST_HANDLE()

  Instantiates a new dev broadcast handle.

### DBT.DEV_BROADCAST_HANDLE

    public DBT.DEV_BROADCAST_HANDLE(Pointer memory)

  Instantiates a new dev broadcast handle.

  Parameters:
    `memory` - the memory

Method Detail

### getFieldOrder

    protected java.util.List getFieldOrder()

  Description copied from class: `Structure`
  Return this Structure's field names in their proper order. For example,

       protected List getFieldOrder() {
           return Arrays.asList(new String[] { ... });
       }

  IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

       protected List getFieldOrder() {
           List fields = new ArrayList(super.getFieldOrder());
           fields.addAll(Arrays.asList(new String[] { ... }));
           return fields;
       }

  Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

  Specified by:
    `getFieldOrder` in class `Structure`

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.